from django.urls import path, include
from .pos.api.v1.viewsets import device
from rest_framework.routers import DefaultRouter

router = DefaultRouter()
router.register(r'', device.POSDeviceViewSet, basename='auth')

urlpatterns = [
    path('web/', include('apps.pos_device.web.api.v1.urls')),
    path('pos/', include('apps.pos_device.pos.api.v1.urls')),
    path('test_webserver', device.test_web_server, name='test_web_server'),
    path('auth/', include(router.urls)),
]
